# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="A graphical process management simulator for a multitasking
computer, developed with educational aims for Operating Systems courses at
universities"
HOMEPAGE="http://www.smoking-gnu.net/xhtml/projects.php?sgpemv2"
SRC_URI="http://www.smoking-gnu.net/res/tar-pit/sgpemv2/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86"
IUSE="debug doc"

DEPEND="
	>=dev-cpp/gtkmm-2.8
	>=dev-cpp/glibmm-2.8
	>=dev-cpp/libglademm-2.6
	>=dev-libs/libxml2-2.6.10
	>=x11-libs/cairo-1.0
	>=dev-lang/swig-1.3
	>=dev-lang/python-2.3

	doc? ( 
		app-doc/doxygen
		app-text/tetex
		sys-apps/texinfo
	)"

src_compile() {
	if use debug; then
		conf_opts="--enable-debug"
	else
		conf_opts="--disable-tests"
	fi

	conf_opts="${conf_opts} --enable-visibility-support"

	mkdir build && cd build

	../configure --prefix=/usr \
	             --host=${CHOST} \
				 --mandir=/usr/share/man \
				 --infodir=/usr/share/info \
				 --datadir=/usr/share \
				 --sysconfdir=/etc \
				 --localstatedir=/var/lib \
				 ${EXTRA_ECONF} ${conf_opts} || die "configure failed"

	emake || die "make all failed"

	if use doc; then
		make pdf
	fi
}

src_install() {
	dodoc AUTHORS COPYING NEWS README ChangeLog

	cd build
	make install DESTDIR="${D}"
	if use doc; then
		dohtml -r doc/API/html/*
		docinto manuals
		dodoc doc/sgpem2dman.pdf doc/sgpem2uman.pdf
	fi
}
