// src/backend/sgpemv2/string_utils.hh - Copyright 2005, 2006, University
//               of Padova, dept. of Pure and Applied
//               Mathematics
//
// This file is part of SGPEMv2.
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// SGPEMv2 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with SGPEMv2; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#ifndef STRING_UTILS_HH
#define STRING_UTILS_HH 1

#include <sgpemv2/sgpemv2-visibility.hh>
#include <sstream>
#include <iostream>
#include <vector>
#include <stdexcept>
#include <glibmm/ustring.h>

namespace sgpem
{
  typedef std::vector<Glib::ustring> Tokens;

  template <typename T>
  T SG_DLLEXPORT string_to(const Glib::ustring&) throw(std::domain_error);

  /**\brief This function converts a value into a string, if possible.

   There is no return value because this function always succeeds.
  */
  template<typename T>
  void SG_DLLEXPORT to_string(const T val, Glib::ustring&);


  Tokens SG_DLLEXPORT tokenize(const Glib::ustring& str);
}

#endif
